Technical Requirements for YQuiz

Using YQuiz to create a quiz or to take a quiz requires only a standard web browser, such as any recent version of Internet Explorer or Netscape Communicator, with:

  • Javascript enabled
  • Cookies enabled

In addition, you and your students will need a Passport York ID in order to access protected areas.